classification
Title: shutil.__all__ incomplete
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.5, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: berker.peksag Nosy List: berker.peksag, eric.araujo, martin.panter, python-dev
Priority: normal Keywords: patch

Created on 2014-10-18 05:14 by martin.panter, last changed 2014-11-01 09:06 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
issue22665.diff berker.peksag, 2014-10-19 13:27 review
Messages (7)
msg229630 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2014-10-18 05:14
Continuing on from Issue 22247 (other out-of-date __all__ attributes), shutil.__all__ is missing (at least) get_terminal_size(), which was implemented for Issue 13609.
msg229684 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-10-19 13:27
Here is a patch. I also added SameFileError.
msg229938 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-10-24 16:25
IIRC test___all__ can be used for this.
msg229956 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2014-10-24 20:36
Looking at Lib/test/test___all__.py, that module just makes sure that the names imported with “from ... import *” are the same as listed in the __all__ attribute. It does no know what the __all__ attribute is meant to contain.
msg230439 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-11-01 08:57
I agree with Martin. Plus, this method already used by other tests (see Lib/test/test_nntplib.py and Lib/test/test_warnings.py for example).
msg230440 - (view) Author: Roundup Robot (python-dev) Date: 2014-11-01 09:05
New changeset 232520144c6c by Berker Peksag in branch '3.4':
Issue #22665: Add missing get_terminal_size and SameFileError to shutil.__all__.
https://hg.python.org/cpython/rev/232520144c6c

New changeset 193ac288bc7f by Berker Peksag in branch 'default':
Issue #22665: Add missing get_terminal_size and SameFileError to shutil.__all__.
https://hg.python.org/cpython/rev/193ac288bc7f
msg230441 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-11-01 09:06
Thanks for the report, Martin.
History
Date User Action Args
2014-11-01 09:06:37berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg230441

stage: patch review -> resolved
2014-11-01 09:05:43python-devsetnosy: + python-dev
messages: + msg230440
2014-11-01 08:57:51berker.peksagsetmessages: + msg230439
2014-10-24 20:36:47martin.pantersetmessages: + msg229956
2014-10-24 16:25:31eric.araujosetnosy: + eric.araujo
messages: + msg229938
2014-10-19 13:27:37berker.peksagsetfiles: + issue22665.diff

assignee: berker.peksag
versions: + Python 3.5
keywords: + patch
nosy: + berker.peksag

messages: + msg229684
stage: patch review
2014-10-18 05:14:13martin.pantercreate